--If a Command has "NOTESKIN:GetMetricA" in it, that means it gets the command from the metrics.ini, else use cmd(); to define command.
--If you dont know how "NOTESKIN:GetMetricA" works here is an explanation.
--NOTESKIN:GetMetricA("The [Group] in the metrics.ini", "The actual Command to fallback on in the metrics.ini");

local sButton = Var "Button"
local pn = Var "Player"

local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");

local button_name = 
{
	Left = "LeftRight",
	Right = "LeftRight",
	Up = "UpDown",
	Down = "UpDown",
}

local t = Def.ActorFrame {
	OnCommand=function(self)
		if not Reverse then
			self:zoomy(-1)
		end
	end;	
	
	Def.Quad {
		OnCommand=function(self)
			self:zoomto(4,9999):diffuse(0.5,0.5,0.5,1)
			if sButton == "Left" then
				self:x(-34)
			elseif sButton == "Right" then
				self:x(34)
			else
				self:diffusealpha(0)
			end;
		end;
	};
	
	Def.Sprite {
		OnCommand=cmd(y,72);
		Texture=NOTESKIN:GetPath( 'Button', button_name[sButton].." Inactive" );
	};
	
	Def.Sprite {
		OnCommand=cmd(y,72;diffusealpha,0);
		Texture=NOTESKIN:GetPath( 'Button', button_name[sButton].." Active" );
		PressCommand=cmd(diffusealpha,1);
		LiftCommand=cmd(stoptweening;sleep,0.05;linear,0.1;diffusealpha,0);
	};

};
return t;
