local x,y

if playerConfig then
	x = playerConfig:get_data(pn_to_profile_slot(PLAYER_1)).GameplayXYCoordinates.JudgeX
	y = playerConfig:get_data(pn_to_profile_slot(PLAYER_1)).GameplayXYCoordinates.JudgeY
else
	x = 0
	y = 0
end

local TNSFrames = {
	TapNoteScore_W1 = "W1";
	TapNoteScore_W2 = "W2";
	TapNoteScore_W3 = "W3";
	TapNoteScore_W4 = "W4";
	TapNoteScore_W5 = "W5";
	TapNoteScore_Miss = "Miss";
}

return Def.ActorFrame{
	Name="Judgment";
	InitCommand=cmd(xy,x,y);

	LoadActor("Judgment W1") .. {
		Name="W1",
		InitCommand=cmd(diffusealpha,0),
	};
	LoadActor("Judgment W2") .. {
		Name="W2",
		InitCommand=cmd(diffusealpha,0),
	};
	LoadActor("Judgment W3") .. {
		Name="W3",
		InitCommand=cmd(diffusealpha,0),
	};
	LoadActor("Judgment W4") .. {
		Name="W4",
		InitCommand=cmd(diffusealpha,0),
	};
	LoadActor("Judgment W5") .. {
		Name="W5",
		InitCommand=cmd(diffusealpha,0),
	};
	LoadActor("Judgment Miss") .. {
		Name="Miss",
		InitCommand=cmd(diffusealpha,0),
	};
	
	JudgmentMessageCommand=function(self, param)
		if param.HoldNoteScore then return end
		if self:GetX() > SCREEN_CENTER_X then
			if param.Player == "PlayerNumber_P1" then return end
		else
			if param.Player == "PlayerNumber_P2" then return end
		end
		
		local Judge = TNSFrames[param.TapNoteScore]
				
		self:zoom(0.5)
		if Judge then
			for _,v in pairs(self:GetChildren()) do
				v:stoptweening()
				v:diffusealpha(0)
				v:SetAllStateDelays(0.4/v:GetNumStates())
			end
		
			self:GetChildren()[Judge]:stoptweening()
			self:GetChildren()[Judge]:diffusealpha(1)
			self:GetChildren()[Judge]:zoom(1)
			self:GetChildren()[Judge]:linear(0.05)
			self:GetChildren()[Judge]:zoom(1.2)
			self:GetChildren()[Judge]:linear(0.05)
			self:GetChildren()[Judge]:zoom(1)
			self:GetChildren()[Judge]:sleep(0.2)
			self:GetChildren()[Judge]:linear(0.1)
			self:GetChildren()[Judge]:zoom(0.75)
			self:GetChildren()[Judge]:diffusealpha(0)
		end
	end
}